﻿
<!-- <script src="~/assets/plugins/jquery-validation/jquery.validate.min.js"></script>
<script src="~/assets/plugins/jquery-validation/additional-methods.min.js"></script> -->
<script src="~/assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
<script src="~/assets/plugins/jquery-inputmask/jquery.input-ip-address-control-1.0.min.js" type="text/javascript"></script>
<script src="~/js/sweetalert.min.js"></script>
<script type="text/javascript">

    //$("#Mui1_NgayTiem").inputmask("d/m/y", {
    //    placeholder: "__/__/____"
    //});
    //$("#Mui2_NgayTiem").inputmask("d/m/y", {
    //    placeholder: "__/__/____"
    //});
</script>

<script type="text/javascript">
    /*------------------Form Validation-----------------*/
    /*Example starter JavaScript for disabling form submissions if there are invalid fields*/
    window.addEventListener('load', function () {
        /* Thông tin tài khoản */
        var form_account = document.getElementsByClassName('form_account_validation');
        var validation = Array.prototype.filter.call(form_account, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin nhân viên */
        var form_employee = document.getElementsByClassName('form_employee_validation');
        var validation = Array.prototype.filter.call(form_employee, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin địa chỉ */
        var form_address = document.getElementsByClassName('form_address_validation');
        var validation = Array.prototype.filter.call(form_address, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 1 */
        var form_mui_1 = document.getElementsByClassName('form_mui_1_validation');
        var validation = Array.prototype.filter.call(form_mui_1, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 2*/
        var form_mui_2 = document.getElementsByClassName('form_mui_2_validation');
        var validation = Array.prototype.filter.call(form_mui_2, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

    }, false);

    function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }
</script>


<script>
    


    $(document).ready(function () {

        $(".editStaff").delegate('#MaTinh', 'change', function () {
            var MaTinh = $('#MaTinh').val();
            console.log(MaTinh);
            if (MaTinh != null && MaTinh != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllDistrictByProvice", "ThemNhanVien")',
                    data: { MaTinh: MaTinh },
                    dataType: 'text',
                    success: function (data) {
                        $('#MaQuan').empty();
                        $('#MaPhuong').empty();
                        $('#MaToKhuPho').empty();
                        $('#MaPhuong').append("<option value='-1'>Chọn Phường/Xã</option>");
                        $('#MaToKhuPho').append("<option value='-1'>Chọn Tổ/Khu Phố</option>");
                        $('#MaQuan').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $(".editStaff").delegate('#MaQuan', 'change', function () {
            var MaQuan = $('#MaQuan').val();
            console.log(MaQuan);
            if (MaQuan != null && MaQuan != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllWardByDistrict", "ThemNhanVien")',
                    data: { MaQuan: MaQuan },
                    dataType: 'text',
                    success: function (data) {
                        $('#MaPhuong').empty();
                        $('#MaPhuong').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $(".editStaff").delegate('#DonViChiTiet', 'change', function () {
            var DonViChiTiet = $('#DonViChiTiet').val();
            console.log(DonViChiTiet);
            if (DonViChiTiet != null && DonViChiTiet != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllBoPhanByDonViChiTietId", "ThemNhanVien")',
                    data: { DonViChiTiet: DonViChiTiet },
                    dataType: 'text',
                    success: function (data) {
                        $('#BoPhanId').empty();
                        $('#BoPhanId').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $(".editStaff").delegate('#MaPhuong', 'change', function () {
            var MaPhuong = $('#MaPhuong').val();
            console.log(MaPhuong);
            if (MaPhuong != null && MaPhuong != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllToKhuPhoByWard", "ThemNhanVien")',
                    data: { MaPhuong: MaPhuong },
                    dataType: 'text',
                    success: function (data) {
                        $('#Ma_ToKhuPho').empty();
                        $('#Ma_ToKhuPho').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
    });
</script>
